| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
cv::detail::tracking::TrackerFeatureHOG Class Reference
Tracking API » Tracking API implementation details

TrackerContribFeature based on HOG. More...

`#include <opencv2/tracking/tracking_internals.hpp>`

Collaboration diagram for cv::detail::tracking::TrackerFeatureHOG:

## Public Member Functions
| TrackerFeatureHOG ()
| ~TrackerFeatureHOG () CV_OVERRIDE
void | selection (Mat &response, int npoints) CV_OVERRIDE
| Identify most effective features.
Public Member Functions inherited from cv::detail::tracking::TrackerContribFeature
virtual | ~TrackerContribFeature ()
String | getClassName () const
| Get the name of the specific TrackerContribFeature.
Public Member Functions inherited from cv::detail::tracking::TrackerFeature
virtual | ~TrackerFeature ()
void | compute (const std::vector< Mat > &images, Mat &response)
| Compute the features in the images collection.

## Protected Member Functions
bool | computeImpl (const std::vector< Mat > &images, Mat &response) CV_OVERRIDE
Protected Member Functions inherited from cv::detail::tracking::TrackerFeature

## Additional Inherited Members
Static Public Member Functions inherited from cv::detail::tracking::TrackerContribFeature
static Ptr< TrackerContribFeature > | create (const String &trackerFeatureType)
| Create TrackerContribFeature by tracker feature type.
Protected Attributes inherited from cv::detail::tracking::TrackerContribFeature
String | className

## Detailed Description

TrackerContribFeature based on HOG.

## Constructor & Destructor Documentation

## ◆ TrackerFeatureHOG()

cv::detail::tracking::TrackerFeatureHOG::TrackerFeatureHOG | ( |  | ) |

## ◆ ~TrackerFeatureHOG()

cv::detail::tracking::TrackerFeatureHOG::~TrackerFeatureHOG | ( |  | ) |

## Member Function Documentation

## ◆ computeImpl()

bool cv::detail::tracking::TrackerFeatureHOG::computeImpl | ( | const std::vector< Mat > & | images,
|  | Mat & | response )
| protected virtual

Implements cv::detail::tracking::TrackerFeature.

## ◆ selection()

void cv::detail::tracking::TrackerFeatureHOG::selection | ( | Mat & | response,
|  | int | npoints )
| virtual

Identify most effective features.

Parameters

  response | Collection of response for the specific TrackerContribFeature
  npoints | Max number of features

Note
  This method modifies the response parameter

Implements cv::detail::tracking::TrackerContribFeature.

The documentation for this class was generated from the following file:

- opencv2/tracking/tracking_internals.hpp